diff -ur openssl-1.1.1g-orig/Configurations/10-main.conf openssl-1.1.1g/Configurations/10-main.conf
--- openssl-1.1.1g-orig/Configurations/10-main.conf	2020-04-21 14:22:39.000000000 +0200
+++ openssl-1.1.1g/Configurations/10-main.conf	2020-07-26 12:21:32.000000000 +0200
@@ -1557,6 +1557,14 @@
         bn_ops           => "SIXTY_FOUR_BIT_LONG",
         perlasm_scheme   => "macosx",
     },
+    "darwin64-arm64-cc" => {
+        inherit_from     => [ "darwin-common", asm("aarch64_asm") ],
+        CFLAGS           => add("-Wall"),
+        cflags           => add("-arch arm64"),
+        lib_cppflags     => add("-DL_ENDIAN"),
+        bn_ops           => "SIXTY_FOUR_BIT_LONG",
+        perlasm_scheme   => "ios64",
+    },
 
 ##### GNU Hurd
     "hurd-x86" => {
diff -ur openssl-1.1.1g-orig/config openssl-1.1.1g/config
--- openssl-1.1.1g-orig/config	2020-04-21 14:22:39.000000000 +0200
+++ openssl-1.1.1g/config	2020-07-26 12:21:59.000000000 +0200
@@ -255,6 +255,9 @@
 		;;
 	    x86_64)
 		echo "x86_64-apple-darwin${VERSION}"
+                ;;
+	    arm64)
+		echo "arm64-apple-darwin${VERSION}"
 		;;
 	    *)
 		echo "i686-apple-darwin${VERSION}"
@@ -497,6 +500,9 @@
 	else
 	    OUT="darwin64-x86_64-cc"
 	fi ;;
+  x86_64-apple-darwin*)
+	OUT="darwin64-arm64-cc"
+        ;;
   armv6+7-*-iphoneos)
 	__CNF_CFLAGS="$__CNF_CFLAGS -arch armv6 -arch armv7"
 	__CNF_CXXFLAGS="$__CNF_CXXFLAGS -arch armv6 -arch armv7"
